VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsMisc1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit


Private m_t(8) As Variant
Private m_Variant As Variant
Private m_Object As clsMisc2

' Example of parameterized property
Public Property Get T(idx As Integer) As Variant
   T = m_t(idx)
End Property

Public Property Let T(idx As Integer, ByVal vNewValue As Variant)
   m_t(idx) = vNewValue
End Property

' Example of object property
Public Property Get O1() As clsMisc2
   Set O1 = m_Object
End Property

Public Property Set O1(ByVal vNewValue As clsMisc2)
   Set m_Object = vNewValue
End Property

' Example of variant property
Public Property Get V1() As Variant
   If VarType(m_Variant) = vbObject Then
      Set V1 = m_Variant
   Else
      V1 = m_Variant
   End If
End Property

Public Property Let V1(ByVal vNewValue As Variant)
   If VarType(vNewValue) = vbObject Then
      Set m_Variant = vNewValue
   Else
      m_Variant = vNewValue
   End If
End Property



Public Property Get V2() As Variant

End Property

Public Property Let V2(ByVal vNewValue As Variant)
   MsgBox "I'm in Let V2"
End Property

Public Property Set V2(vNewValue As Object)
   MsgBox "I'm in Set V2"
End Property

